# Cable TV List

## Get Cable Tv List

<mark style="color:blue;">`GET`</mark> `{{base_url}}/listcabletv`

TV :  DSTV, GOTV, STARTIMES

#### Headers

| Name                                            | Type        | Description                      |
| ----------------------------------------------- | ----------- | -------------------------------- |
| authorization<mark style="color:red;">\*</mark> | PUBLIC\_KEY | Set value to `Bearer PUBLIC_KEY` |

#### Request Body

| Name | Type   | Description                |
| ---- | ------ | -------------------------- |
| tv   | String | TV Provider as shown above |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "message": "CableTV List Retrieved",
    "cablelist": [
        {
            "code": "dstv-padi",
            "name": "DStv Padi N2,150",
            "Amount": "2150.00",
            "description": ""
        },
        {
            "code": "dstv-yanga",
            "name": "DStv Yanga N2,950",
            "Amount": "2950.00",
            "description": ""
        },
        {
            "code": "dstv-confam",
            "name": "Dstv Confam N5,300",
            "Amount": "5300.00",
            "description": ""
        },
        {
            "code": "dstv79",
            "name": "DStv  Compact N9,000",
            "Amount": "9000.00",
            "description": ""
        },
        {
            "code": "dstv3",
            "name": "DStv Premium N21,000",
            "Amount": "21000.00",
            "description": ""
        },
        {
            "code": "dstv6",
            "name": "DStv Asia N7,100",
            "Amount": "7100.00",
            "description": ""
        },
        {
            "code": "dstv7",
            "name": "DStv Compact Plus N14,250",
            "Amount": "14250.00",
            "description": ""
        },
        {
            "code": "dstv9",
            "name": "DStv Premium-French N29,300",
            "Amount": "29300.00",
            "description": ""
        },
        {
            "code": "dstv10",
            "name": "DStv Premium-Asia N23,500",
            "Amount": "23500.00",
            "description": ""
        }        
    ]
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```php
curl --location --request GET 'https://api.oneappgo.com/v1/listcabletv?tv=DSTV' \
--header 'Authorization: Bearer PUBLIC_KEY'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': 'https://api.oneappgo.com/v1/listcabletv?tv=DSTV',
  'headers': {
    'Authorization': 'Bearer PUBLIC_KEY'
  },
  formData: {

  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

### Sample Response

```
{
    "status": true,
    "message": [
        {
            "code": "gotv-max",
            "name": "GOtv Max N3,600",
            "Amount": "3600.00",
            "description": ""
        },
        {
            "code": "gotv-jolli",
            "name": "GOtv Jolli N2,460",
            "Amount": "2460.00",
            "description": ""
        },
        {
            "code": "gotv-jinja",
            "name": "GOtv Jinja N1,640",
            "Amount": "1640.00",
            "description": ""
        }
    ]
}
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/listcabletv?tv=DSTV',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer PUBLIC_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.oneappgo.com/v1/listcabletv?tv=DSTV"

payload={}
files={}
headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
}

response = requests.request("GET", url, headers=headers, data=payload, files=files)

print(response.text)

```

{% endtab %}

{% tab title="Dart" %}

```dart
var headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
};
var request = http.MultipartRequest('GET', Uri.parse('https://api.oneappgo.com/v1/listcabletv?tv=DSTV'));

request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

### Sample Response

```json
{
    "status": true,
    "message": "CableTV List Retrieved",
    "cablelist": [
        {
            "code": "dstv-padi",
            "name": "DStv Padi N2,150",
            "Amount": "2150.00",
            "description": ""
        },
        {
            "code": "dstv-yanga",
            "name": "DStv Yanga N2,950",
            "Amount": "2950.00",
            "description": ""
        },
        {
            "code": "dstv-confam",
            "name": "Dstv Confam N5,300",
            "Amount": "5300.00",
            "description": ""
        },
        {
            "code": "dstv79",
            "name": "DStv  Compact N9,000",
            "Amount": "9000.00",
            "description": ""
        },
        {
            "code": "dstv3",
            "name": "DStv Premium N21,000",
            "Amount": "21000.00",
            "description": ""
        },
        {
            "code": "dstv6",
            "name": "DStv Asia N7,100",
            "Amount": "7100.00",
            "description": ""
        },
        {
            "code": "dstv7",
            "name": "DStv Compact Plus N14,250",
            "Amount": "14250.00",
            "description": ""
        },
        {
            "code": "dstv9",
            "name": "DStv Premium-French N29,300",
            "Amount": "29300.00",
            "description": ""
        },
        {
            "code": "dstv10",
            "name": "DStv Premium-Asia N23,500",
            "Amount": "23500.00",
            "description": ""
        }        
    ]
}
```
